# atomic_host – Manage the atomic host platform

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manage the atomic host platform.
- Rebooting of Atomic host platform should be done outside this module.

## Requirements

The below requirements are needed on the host that executes this module.

- atomic
- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
revision - | Default: "latest" | The version number of the atomic host to be deployed. Providing `latest` will upgrade to the latest available version. aliases: version

## Notes

Note

- Host should be an atomic platform (verified by existence of ‘/run/ostree-booted’ file).

## Examples

    - name: Upgrade the atomic host platform to the latest version (atomic host upgrade)
      atomic_host:
        revision: latest

    - name: Deploy a specific revision as the atomic host (atomic host deploy 23.130)
      atomic_host:
        revision: 23.130

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | always | The command standard output Sample: Already on latest

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Saravanan KR (@krsacme)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.